Author: Nicholas Bamber <nicholas@periapt.co.uk>
Subject: test script hangs waiting on STDIN
Forwarded: not-needed
Last-Update: 2011-11-06
--- a/t/03-storage_name.t
+++ b/t/03-storage_name.t
@@ -205,6 +205,8 @@
 
 # Re-run webapp 2 but passing the storage hash via the query string, instead of
 # via a posted parameter.
+local *STDIN;
+open(STDIN, '<', '/dev/null');
 
 $ENV{'REQUEST_METHOD'} = 'POST';
 $ENV{'SERVER_PORT'}    = '80';
